PBESecretKeyDecryptor
Date: 2016-06-23

org.bouncycastle.openpgp.operator

## Class PBESecretKeyDecryptor

- java.lang.Object
- - org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor

-     public abstract class PBESecretKeyDecryptor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PBESecretKeyDecryptor(char[] passPhrase, PGPDigestCalculatorProvider calculatorProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PGPDigestCalculator` | `getChecksumCalculator(int hashAlgorithm)`
    `byte[]` | `makeKeyFromPassPhrase(int keyAlgorithm, S2K s2k)`
    `abstract byte[]` | `recoverKeyData(int encAlgorithm, byte[] key, byte[] iv, byte[] keyData, int keyOff, int keyLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PBESecretKeyDecryptor

          protected PBESecretKeyDecryptor(char[] passPhrase,
                               PGPDigestCalculatorProvider calculatorProvider)

  - ### Method Detail

    - #### getChecksumCalculator

          public PGPDigestCalculator getChecksumCalculator(int hashAlgorithm)
                                                    throws PGPException

      Throws:
        `PGPException`

    - #### makeKeyFromPassPhrase

          public byte[] makeKeyFromPassPhrase(int keyAlgorithm,
                                     S2K s2k)
                                       throws PGPException

      Throws:
        `PGPException`

    - #### recoverKeyData

          public abstract byte[] recoverKeyData(int encAlgorithm,
                              byte[] key,
                              byte[] iv,
                              byte[] keyData,
                              int keyOff,
                              int keyLen)
                                         throws PGPException

      Throws:
        `PGPException`